import java.io.*;


/**
 * A tag.
 * 
 * @author Michel Deriaz
 */
public class Tag implements Serializable {
  String lat;
  String lon;
  String content;
  

  /**
   * Creates a new tag.
   * @param lat the latitude in decimal degrees
   * @param lon the longitude in decimal degrees
   * @param content the content
   */
  public Tag(String lat, String lon, String content) {
    this.lat = lat;
    this.lon = lon;
    this.content = content;
  }


  /**
   * Gets the latitude in decimal degrees.
   * @return the latitude
   */      
  public String getLat() {
    return lat;
  }
  

  /**
   * Gets the longitude in decimal degrees.
   * @return the longitude
   */
  public String getLon() {
    return lon;
  }
  

  /**
   * Gets the content
   * @return the content
   */
  public String getContent() {
    return content;
  }
 

  /**
   * Returns all the fields of this tag in a single file, with, in the following
   * order, the latitude, the longitude, and the content. A <code>\t</code> 
   * character is inserted between each field.
   */
  public String toString() {
    return lat + '\t' + lon + '\t' + content;
  }
}